package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.*;
import com.ym.mec.biz.dal.enums.MusicGroupStatusEnum;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;

public class SubFeeSettingDto {

    @ApiModelProperty(value = "乐团明细",required = false)
    private MusicGroup musicGroup;

    @ApiModelProperty(value = "乐团付费主体列表",required = false)
    private List<MusicGroupPaymentEntities> musicGroupPaymentEntities;

    @ApiModelProperty(value = "声部设置列表",required = false)
    private List<MusicGroupSubjectPlan> musicGroupSubjectPlans;

    @ApiModelProperty(value = "乐器、教辅组合列表",required = false)
    private List<MusicGroupSubjectGoodsGroup> musicGroupSubjectGoodsGroups;

    @ApiModelProperty(value = "学员的付费方式月份列表",required = false)
    private List<Integer> months;

    @ApiModelProperty(value = "科目关联注册学员",required = false)
    private List<SubjectRegisterDto> subjectRegisters;

    @ApiModelProperty(value = "乐团编号（修改时用）",required = false)
    private String musicGroupId;

    @ApiModelProperty(value = "乐团状态（修改时用）",required = false)
    private MusicGroupStatusEnum musicGroupStatus;

    public MusicGroupStatusEnum getMusicGroupStatus() {
        return musicGroupStatus;
    }

    public void setMusicGroupStatus(MusicGroupStatusEnum musicGroupStatus) {
        this.musicGroupStatus = musicGroupStatus;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public MusicGroup getMusicGroup() {
        return musicGroup;
    }

    public void setMusicGroup(MusicGroup musicGroup) {
        this.musicGroup = musicGroup;
    }

    public List<MusicGroupPaymentEntities> getMusicGroupPaymentEntities() {
        return musicGroupPaymentEntities;
    }

    public void setMusicGroupPaymentEntities(List<MusicGroupPaymentEntities> musicGroupPaymentEntities) {
        this.musicGroupPaymentEntities = musicGroupPaymentEntities;
    }

    public List<MusicGroupSubjectPlan> getMusicGroupSubjectPlans() {
        return musicGroupSubjectPlans;
    }

    public void setMusicGroupSubjectPlans(List<MusicGroupSubjectPlan> musicGroupSubjectPlans) {
        this.musicGroupSubjectPlans = musicGroupSubjectPlans;
    }

    public List<MusicGroupSubjectGoodsGroup> getMusicGroupSubjectGoodsGroups() {
        return musicGroupSubjectGoodsGroups;
    }

    public void setMusicGroupSubjectGoodsGroups(List<MusicGroupSubjectGoodsGroup> musicGroupSubjectGoodsGroups) {
        this.musicGroupSubjectGoodsGroups = musicGroupSubjectGoodsGroups;
    }

    public List<Integer> getMonths() {
        return months;
    }

    public void setMonths(List<Integer> months) {
        this.months = months;
    }

    public List<SubjectRegisterDto> getSubjectRegisters() {
        return subjectRegisters;
    }

    public void setSubjectRegisters(List<SubjectRegisterDto> subjectRegisters) {
        this.subjectRegisters = subjectRegisters;
    }
}
